Recalls

Recall Campaign

Look up a manufacturer recall campaign code (for example Volkswagen `37M2`) and get the recall campaign behind it. Exact match on make and code; a code that is not in the dictionary returns 404 and is not billed. Billed as a Vehicle Recalls call.


Checking account...
GET
/v1/recalls-campaigns

Look up a manufacturer recall campaign code (for example Volkswagen 37M2) and get the recall campaign behind it. Exact match on make and code; a code that is not in the dictionary returns 404 and is not billed. Billed as a Vehicle Recalls call.

Authorization

key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Query Parameters

make*string

The vehicle manufacturer name (e.g. volkswagen). Case and extra whitespace are ignored.

Lengthlength <= 120
code*string

The manufacturer's campaign code (e.g. 37M2). Case-insensitive, the letter O is read as zero, and Volkswagen warranty codes match in any spelling (VWP1403, VWP 14 03, VWP-14-03).

Lengthlength <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

{
  "success": true,
  "input": {
    "make": "volkswagen",
    "code": "37M2"
  },
  "data": {
    "campaign_code": "37M2",
    "recall_class": "Safety / Compliance Recall",
    "description": "Volkswagen is recalling certain 2011-2019 Beetle, Golf, GTI and Jetta vehicles. A build-up of silicate on the shift lever micro switch contacts may enable the key to be removed from the ignition when the shift lever is not in Park.",
    "nhtsa_campaign_number": "19V615000",
    "component": "ELECTRICAL SYSTEM:IGNITION:ANTI-THEFT:CONTROL MODULE",
    "models": "BEETLE;BEETLE CONVERTIBLE;GOLF;GOLF SPORTWAGEN;GTI;JETTA",
    "model_years": "2011;2012;2013;2014;2015;2016;2017;2018;2019",
    "confidence": "high",
    "matched": true,
    "dictionary_version": 1
  },
  "timestamp": "2026-09-25T12:29:09.352Z"
}
{
  "success": false,
  "message": "Missing or invalid make or campaign code"
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "message": "No campaign found for this make and campaign code"
}
{
  "success": false,
  "message": "API usage limit exceeded",
  "usage": {
    "current": 1000,
    "limit": 1000,
    "remaining": 0
  }
}
{
  "success": false,
  "message": "Internal server error"
}